import api from "src/api";

export const getPlanAccountsMe = async () => {
  const { data } = await api.get("/financial-plan-account/me");
  return data.payload;
};

export const createPlanAccountMe = async (payload) => {
  const { data } = await api.post("/financial-plan-account/me", payload);
  return data.payload;
};

export const updatePlanAccountMe = async (id, payload) => {
  const { data } = await api.put(`/financial-plan-account/me/${id}`, payload);
  return data.payload;
};

export const deletePlanAccountMe = async (id) => {
  const { data } = await api.delete(`/financial-plan-account/me/${id}`);
  return data;
};
